
D4Science Infrastructure - Task #6312

Task # 6309 (Closed): D4Science Infrastructure migration to Java 8

Java 8 unexpected behaviours should be communicated by the gCube VRE Social Facility

Jan 09, 2017 03:46 PM - Massimiliano Assante

Status: Closed Start date: Jan 09, 2017

Priority: Normal Due date: Jan 20, 2017

Assignee: Maria Di Girolamo % Done: 100%

Category: Other Estimated time: 4.00 hours

Target version: Migrating to Java 8   

Infrastructure: Development   

Description

As soon as Task #6306: Migrate development infrastructure nodes to Java 8 is completed please share a post about Java 8

unexpected behaviours to be communicated by the gCube VRE Social Facility as well as with a link summarising the discussion and

best practices in a dedicated Wiki page;

Also, ENG should Investigate the memory related parameters assigned to the JVM changed in Java 8 and communicate the required

changes in the nodes configuration (if any)

I'm assigning the ticket to Paolo who can reassign the ticket to the appropriate person in ENG team.

Related issues:

Blocked by D4Science Infrastructure - Task #6306: Migrate development infrast... Closed May 09, 2017

History

#1 - Jan 09, 2017 03:47 PM - Massimiliano Assante

- Blocked by Task #6306: Migrate development infrastructure nodes to Java 8 added

#2 - Jan 09, 2017 03:49 PM - Massimiliano Assante

- Description updated

#3 - Mar 09, 2017 09:25 AM - Maria Di Girolamo

The description of the issues and their solutions can be found in the following wiki page: 

https://wiki.gcube-system.org/gcube/GCube_Java_8_migration_guide.

#4 - May 10, 2017 10:06 AM - Maria Di Girolamo

- Status changed from New to In Progress

#5 - Sep 20, 2017 03:48 PM - Maria Di Girolamo

- Assignee changed from Paolo Fabriani to Maria Di Girolamo

#6 - Nov 26, 2018 10:02 AM - Massimiliano Assante

- Status changed from In Progress to Closed
